"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInterpretation = void 0;
const cstVisitor_1 = require("./src/components/cstVisitor");
const recoveryParser_1 = require("./src/components/mainParser/recoveryParser");
function parsePlSql(code) {
    try {
        if (!code || typeof code !== 'string') {
            throw new Error('Code is empty or not a string');
        }
        const result = (0, recoveryParser_1.default)(code, true);
        return result;
    }
    catch (err) {
        throw new Error(`Parsing error occured: ${err}`);
    }
}
function getInterpretation(cst) {
    return cstVisitor_1.default.visit(cst);
}
exports.getInterpretation = getInterpretation;
exports.default = parsePlSql;
//# sourceMappingURL=index.js.map