export declare type NodePosition = {
    startLine: number | undefined;
    startOffset: number;
    endLine: number | undefined;
    endColumn: number | undefined;
};
export declare type GlobalObjects = {
    packages: PackageDef[];
};
export declare type SimpleVariableDef = {
    type: string;
    position: NodePosition;
    name: string;
};
export declare type VariableDef = SimpleVariableDef & {
    constant: boolean;
    value: string | number | undefined;
};
export declare type ExceptionDef = {
    position: NodePosition;
    name: string;
};
export declare type TypeDef = {
    type: TypeClass;
    position: NodePosition;
    name: string;
    tableOf?: string;
    tableIndex?: string;
    recordFields?: SimpleVariableDef[];
};
export declare type PackageContent = {
    variables?: VariableDef[];
    objects?: any[];
    types?: any[];
    exceptions?: ExceptionDef[];
};
export declare type PackageDef = {
    type: ObjectContext;
    position: NodePosition;
    name: string;
    content: PackageContent;
};
export declare enum ObjectType {
    fc = "function",
    prc = "procedure"
}
export declare enum ObjectContext {
    spec = "spec",
    body = "body"
}
export declare enum ArgumentDirection {
    in = "in",
    out = "out",
    inOut = "in out"
}
export declare enum TypeClass {
    record = "record",
    table = "table"
}
