"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parserInstance = void 0;
const tokens_1 = require("../tokenDictionary/tokens");
const rules_1 = require("./rules");
const logParserErrors_1 = require("./util/logParserErrors");
exports.parserInstance = new rules_1.default({ recover: false });
function parse(input, log = false) {
    const lexResult = (0, tokens_1.lex)(input);
    // ".input" is a setter which will reset the parser's internal's state.
    exports.parserInstance.input = lexResult.tokens;
    // No semantic actions so this won't return anything yet.
    const cst = exports.parserInstance.global();
    if (exports.parserInstance.errors.length > 0 && log) {
        (0, logParserErrors_1.default)(exports.parserInstance.errors);
    }
    return { errors: exports.parserInstance.errors, cst };
}
exports.default = parse;
//# sourceMappingURL=noRecoveryParser.js.map