"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tokens_1 = require("../tokenDictionary/tokens");
const rules_1 = require("./rules");
const logParserErrors_1 = require("./util/logParserErrors");
const parserInstance = new rules_1.default({ recover: true });
function parse(input, log = false) {
    const lexResult = (0, tokens_1.lex)(input);
    // ".input" is a setter which will reset the parser's internal's state.
    parserInstance.input = lexResult.tokens;
    // No semantic actions so this won't return anything yet.
    const cst = parserInstance.global();
    if (parserInstance.errors.length > 0 && log) {
        (0, logParserErrors_1.default)(parserInstance.errors);
    }
    return { errors: parserInstance.errors, cst };
}
exports.default = parse;
//# sourceMappingURL=recoveryParser.js.map