"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSyntaxCategoryMap = exports.categorizeSyntaxToken = exports.SyntaxCategory = void 0;
var SyntaxCategory;
(function (SyntaxCategory) {
    SyntaxCategory[SyntaxCategory["Keyword"] = 1] = "Keyword";
    SyntaxCategory[SyntaxCategory["DataType"] = 2] = "DataType";
})(SyntaxCategory = exports.SyntaxCategory || (exports.SyntaxCategory = {}));
const syntaxCategoryMap = new Map();
function categorizeSyntaxToken(category, token) {
    console.log('add', token.name);
    if (syntaxCategoryMap.has(category)) {
        const tokens = syntaxCategoryMap.get(category);
        if (!tokens) {
            throw new Error(`Category ${category} is not defined`);
        }
        console.log('tokens', tokens.length);
        tokens.push({ name: token.name, pattern: token.PATTERN });
        syntaxCategoryMap.set(category, tokens);
    }
    else {
        syntaxCategoryMap.set(category, [
            {
                name: token.name,
                pattern: token.PATTERN,
            },
        ]);
    }
}
exports.categorizeSyntaxToken = categorizeSyntaxToken;
function getSyntaxCategoryMap() {
    return syntaxCategoryMap;
}
exports.getSyntaxCategoryMap = getSyntaxCategoryMap;
//# sourceMappingURL=syntaxHelper.js.map