"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const specialIdentifiers_1 = require("./specialIdentifiers");
const DefinedException = (0, chevrotain_1.createToken)({
    name: 'DefinedException',
    pattern: chevrotain_1.Lexer.NA,
    categories: [specialIdentifiers_1.KwIdentifier],
});
const AccessIntoNullKw = (0, chevrotain_1.createToken)({
    name: 'AccessIntoNullKw',
    pattern: /access_into_null/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const CaseNotFoundKw = (0, chevrotain_1.createToken)({
    name: 'CaseNotFoundKw',
    pattern: /case_not_found/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const CollectionIsNullKw = (0, chevrotain_1.createToken)({
    name: 'CollectionIsNullKw',
    pattern: /collection_is_null/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const CursorAlreadyOpenKw = (0, chevrotain_1.createToken)({
    name: 'CursorAlreadyOpenKw',
    pattern: /cursor_already_open/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const DupValOnIndexKw = (0, chevrotain_1.createToken)({
    name: 'DupValOnIndexKw',
    pattern: /dup_val_on_index/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const InvalidCursorKw = (0, chevrotain_1.createToken)({
    name: 'InvalidCursorKw',
    pattern: /invalid_cursor/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const InvalidNumberKw = (0, chevrotain_1.createToken)({
    name: 'InvalidNumberKw',
    pattern: /invalid_number/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const LoginDeniedKw = (0, chevrotain_1.createToken)({
    name: 'LoginDeniedKw',
    pattern: /login_denied/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const NoDataFoundKw = (0, chevrotain_1.createToken)({
    name: 'NoDataFoundKw',
    pattern: /no_data_found/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const NotLoggedOnKw = (0, chevrotain_1.createToken)({
    name: 'NotLoggedOnKw',
    pattern: /not_logged_on/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const ProgramErrorKw = (0, chevrotain_1.createToken)({
    name: 'ProgramErrorKw',
    pattern: /program_error/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const RowtypeMismatchKw = (0, chevrotain_1.createToken)({
    name: 'RowtypeMismatchKw',
    pattern: /rowtype_mismatch/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const SelfIsNullKw = (0, chevrotain_1.createToken)({
    name: 'SelfIsNullKw',
    pattern: /self_is_null/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const StorageErrorKw = (0, chevrotain_1.createToken)({
    name: 'StorageErrorKw',
    pattern: /storage_error/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const SubscriptBeyondCountKw = (0, chevrotain_1.createToken)({
    name: 'SubscriptBeyondCountKw',
    pattern: /subscript_beyond_count/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const SubscriptOutsideLimitKw = (0, chevrotain_1.createToken)({
    name: 'SubscriptOutsideLimitKw',
    pattern: /subscript_outside_limit/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const SysInvalidRowidKw = (0, chevrotain_1.createToken)({
    name: 'SysInvalidRowidKw',
    pattern: /sys_invalid_rowid/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const TimeoutOnResourceKw = (0, chevrotain_1.createToken)({
    name: 'TimeoutOnResourceKw',
    pattern: /timeout_on_resource/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const TooManyRowsKw = (0, chevrotain_1.createToken)({
    name: 'TooManyRowsKw',
    pattern: /too_many_rows/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const ValueErrorKw = (0, chevrotain_1.createToken)({
    name: 'ValueErrorKw',
    pattern: /value_error/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const ZeroDevideKw = (0, chevrotain_1.createToken)({
    name: 'ZeroDevideKw',
    pattern: /zero_divide/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const HttpEndOfBodyKw = (0, chevrotain_1.createToken)({
    name: 'HttpEndOfBodyKw',
    pattern: /utl_http\.end_of_body/i,
    longer_alt: Identifier_1.default,
    categories: DefinedException,
});
const OthersKw = (0, chevrotain_1.createToken)({
    name: 'OthersKw',
    pattern: /others/i,
    longer_alt: Identifier_1.default,
});
const ExceptionKw = (0, chevrotain_1.createToken)({
    name: 'ExceptionKw',
    pattern: /exception/i,
    longer_alt: Identifier_1.default,
});
const WhenKw = (0, chevrotain_1.createToken)({
    name: 'WhenKw',
    pattern: /when/i,
    longer_alt: Identifier_1.default,
});
const RaiseKw = (0, chevrotain_1.createToken)({
    name: 'RaiseKw',
    pattern: /raise/i,
    longer_alt: Identifier_1.default,
});
exports.default = [
    DefinedException,
    AccessIntoNullKw,
    CaseNotFoundKw,
    CollectionIsNullKw,
    CursorAlreadyOpenKw,
    DupValOnIndexKw,
    InvalidCursorKw,
    InvalidNumberKw,
    LoginDeniedKw,
    NoDataFoundKw,
    NotLoggedOnKw,
    ProgramErrorKw,
    RowtypeMismatchKw,
    SelfIsNullKw,
    StorageErrorKw,
    SubscriptBeyondCountKw,
    SubscriptOutsideLimitKw,
    SysInvalidRowidKw,
    TimeoutOnResourceKw,
    TooManyRowsKw,
    ValueErrorKw,
    ZeroDevideKw,
    HttpEndOfBodyKw,
    OthersKw,
    ExceptionKw,
    WhenKw,
    RaiseKw,
];
//# sourceMappingURL=exception.js.map