"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const exception_1 = require("./exception");
const Identifier_1 = require("./Identifier");
const specialIdentifiers_1 = require("./specialIdentifiers");
const If = (0, chevrotain_1.createToken)({
    name: 'If',
    pattern: /if/i,
    longer_alt: Identifier_1.default,
});
const Elsif = (0, chevrotain_1.createToken)({
    name: 'Elsif',
    pattern: /elsif/i,
    longer_alt: Identifier_1.default,
});
const Else = (0, chevrotain_1.createToken)({
    name: 'Else',
    pattern: /else/i,
    longer_alt: Identifier_1.default,
});
const Then = (0, chevrotain_1.createToken)({
    name: 'Then',
    pattern: /then/i,
    longer_alt: Identifier_1.default,
});
const CaseKw = (0, chevrotain_1.createToken)({
    name: 'CaseKw',
    pattern: /case/i,
    longer_alt: [
        exception_1.default.find((e) => e.name === 'CaseNotFoundKw'),
        Identifier_1.default,
    ],
    categories: [specialIdentifiers_1.KwIdentifier],
});
exports.default = [If, Elsif, Else, Then, CaseKw];
//# sourceMappingURL=ifStatement.js.map