"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const SequenceKw = (0, chevrotain_1.createToken)({
    name: 'SequenceKw',
    pattern: /sequence/i,
    longer_alt: Identifier_1.default,
});
const IncrementByKw = (0, chevrotain_1.createToken)({
    name: 'IncrementByKw',
    pattern: /increment\s+by/i,
    longer_alt: Identifier_1.default,
});
const StartWithKw = (0, chevrotain_1.createToken)({
    name: 'StartWithKw',
    pattern: /start\s+with/i,
    longer_alt: Identifier_1.default,
});
const MaxvalueKw = (0, chevrotain_1.createToken)({
    name: 'MaxvalueKw',
    pattern: /maxvalue/i,
    longer_alt: Identifier_1.default,
});
const NoMaxvalueKw = (0, chevrotain_1.createToken)({
    name: 'NoMaxvalueKw',
    pattern: /nomaxvalue/i,
    longer_alt: Identifier_1.default,
});
const MinvalueKw = (0, chevrotain_1.createToken)({
    name: 'MinvalueKw',
    pattern: /minvalue/i,
    longer_alt: Identifier_1.default,
});
const NoMinvalueKw = (0, chevrotain_1.createToken)({
    name: 'NoMinvalueKw',
    pattern: /nominvalue/i,
    longer_alt: Identifier_1.default,
});
const CycleKw = (0, chevrotain_1.createToken)({
    name: 'CycleKw',
    pattern: /cycle/i,
    longer_alt: Identifier_1.default,
});
const NoCycleKw = (0, chevrotain_1.createToken)({
    name: 'NoCycleKw',
    pattern: /nocycle/i,
    longer_alt: Identifier_1.default,
});
const CacheKw = (0, chevrotain_1.createToken)({
    name: 'CacheKw',
    pattern: /cache/i,
    longer_alt: Identifier_1.default,
});
const NoCacheKw = (0, chevrotain_1.createToken)({
    name: 'NoCacheKw',
    pattern: /nocache/i,
    longer_alt: Identifier_1.default,
});
const NoOrderKw = (0, chevrotain_1.createToken)({
    name: 'NoOrderKw',
    pattern: /noorder/i,
    longer_alt: Identifier_1.default,
});
const ViewKw = (0, chevrotain_1.createToken)({
    name: 'ViewKw',
    pattern: /view/i,
    longer_alt: Identifier_1.default,
});
exports.default = [
    SequenceKw,
    IncrementByKw,
    StartWithKw,
    MaxvalueKw,
    NoMaxvalueKw,
    MinvalueKw,
    NoMinvalueKw,
    CycleKw,
    NoCycleKw,
    CacheKw,
    NoCacheKw,
    NoOrderKw,
    ViewKw,
];
//# sourceMappingURL=objectTokens.js.map