"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const StringTk = (0, chevrotain_1.createToken)({
    name: 'StringTk',
    pattern: chevrotain_1.Lexer.NA,
});
// /y mode is needed to only match relevant part and not whole input
const startPattern = /q'(\[|\(|\{|\^|#|!)/y;
const matchAQM = (text, startOffset) => {
    startPattern.lastIndex = startOffset;
    const startMatch = startPattern.exec(text);
    if (!startMatch) {
        return null;
    }
    const match = startMatch[0];
    const prefix = startMatch[1];
    let neededSuffix = '';
    switch (prefix) {
        case '[':
            neededSuffix = `]'`;
            break;
        case '{':
            neededSuffix = `}'`;
            break;
        case '(':
            neededSuffix = `)'`;
            break;
        default:
            neededSuffix = `${prefix}'`;
            break;
    }
    let currentIndex = startOffset + match.length;
    let tokenContent = match;
    for (; currentIndex < text.length; currentIndex++) {
        const currentChar = text[currentIndex];
        if (currentChar === neededSuffix[0] &&
            text[currentIndex + 1] === neededSuffix[1]) {
            const payload = tokenContent.replace(match, '');
            tokenContent += currentChar;
            tokenContent += text[currentIndex + 1];
            const ret = [tokenContent];
            ret.payload = payload;
            return ret;
        }
        tokenContent += currentChar;
    }
    return null;
};
const AlternateQuotingMechanism = (0, chevrotain_1.createToken)({
    name: 'AlternateQuotingMechanism',
    pattern: matchAQM,
    line_breaks: true,
    categories: StringTk,
    start_chars_hint: [`q'`],
});
const StandardString = (0, chevrotain_1.createToken)({
    name: 'StandardString',
    pattern: /'((?:''|[^'])*)'/,
    categories: StringTk,
    //longer_alt: AlternateQuotingMechanism,
});
exports.default = [StringTk, StandardString, AlternateQuotingMechanism];
//# sourceMappingURL=strings.js.map