"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const PackageKw = (0, chevrotain_1.createToken)({
    name: 'PackageKw',
    pattern: /package/i,
    longer_alt: Identifier_1.default,
});
const CreatePackageKw = (0, chevrotain_1.createToken)({
    name: 'CreatePackageKw',
    pattern: /create (or replace )?package/i,
});
const BodyKw = (0, chevrotain_1.createToken)({
    name: 'BodyKw',
    pattern: /body/i,
    longer_alt: Identifier_1.default,
});
const FunctionKw = (0, chevrotain_1.createToken)({
    name: 'FunctionKw',
    pattern: /function/i,
    longer_alt: Identifier_1.default,
});
const ReturnKw = (0, chevrotain_1.createToken)({
    name: 'ReturnKw',
    pattern: /return/i,
    longer_alt: Identifier_1.default,
});
const ResultCacheKw = (0, chevrotain_1.createToken)({
    name: 'ResultCacheKw',
    pattern: /result_cache/i,
    longer_alt: Identifier_1.default,
});
const DeterministicKw = (0, chevrotain_1.createToken)({
    name: 'DeterministicKw',
    pattern: /deterministic/i,
    longer_alt: Identifier_1.default,
});
const PipelinedKw = (0, chevrotain_1.createToken)({
    name: 'PipelinedKw',
    pattern: /pipelined/i,
    longer_alt: Identifier_1.default,
});
const PipeRowKw = (0, chevrotain_1.createToken)({
    name: 'PipeRowKw',
    pattern: /pipe row/i,
});
const ProcedureKw = (0, chevrotain_1.createToken)({
    name: 'ProcedureKw',
    pattern: /procedure/i,
    longer_alt: Identifier_1.default,
});
const InKw = (0, chevrotain_1.createToken)({
    name: 'InKw',
    pattern: /in/i,
    longer_alt: Identifier_1.default,
});
const OutKw = (0, chevrotain_1.createToken)({
    name: 'OutKw',
    pattern: /out/i,
    longer_alt: Identifier_1.default,
});
const NocopyKw = (0, chevrotain_1.createToken)({
    name: 'NocopyKw',
    pattern: /nocopy/i,
    longer_alt: Identifier_1.default,
});
const DefaultKw = (0, chevrotain_1.createToken)({
    name: 'DefaultKw',
    pattern: /default/i,
    longer_alt: Identifier_1.default,
});
const AuthidKw = (0, chevrotain_1.createToken)({
    name: 'AuthidKw',
    pattern: /authid/i,
    longer_alt: Identifier_1.default,
});
const DefinerKw = (0, chevrotain_1.createToken)({
    name: 'DefinerKw',
    pattern: /definer/i,
    longer_alt: Identifier_1.default,
});
const CurrentUserKw = (0, chevrotain_1.createToken)({
    name: 'CurrentUserKw',
    pattern: /current_user/i,
    longer_alt: Identifier_1.default,
});
exports.default = [
    PackageKw,
    CreatePackageKw,
    BodyKw,
    FunctionKw,
    ReturnKw,
    ResultCacheKw,
    DeterministicKw,
    PipelinedKw,
    PipeRowKw,
    ProcedureKw,
    InKw,
    OutKw,
    NocopyKw,
    DefaultKw,
    AuthidKw,
    DefinerKw,
    CurrentUserKw,
];
//# sourceMappingURL=subprograms.js.map