"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const ValueKeyword = (0, chevrotain_1.createToken)({
    name: 'ValueKeyword',
    pattern: chevrotain_1.Lexer.NA,
});
const DateValue = (0, chevrotain_1.createToken)({
    name: 'DateValue',
    pattern: /(sysdate|current_date)/i,
    longer_alt: Identifier_1.default,
    categories: ValueKeyword,
});
const TsValue = (0, chevrotain_1.createToken)({
    name: 'TsValue',
    pattern: /(systimestamp|current_timestamp)/i,
    longer_alt: Identifier_1.default,
    categories: ValueKeyword,
});
const BoolValue = (0, chevrotain_1.createToken)({
    name: 'BoolValue',
    pattern: chevrotain_1.Lexer.NA,
    categories: ValueKeyword,
});
const BoolTrue = (0, chevrotain_1.createToken)({
    name: 'BoolTrue',
    pattern: /true/i,
    longer_alt: Identifier_1.default,
    categories: BoolValue,
});
const BoolFalse = (0, chevrotain_1.createToken)({
    name: 'BoolTrue',
    pattern: /false/i,
    longer_alt: Identifier_1.default,
    categories: BoolValue,
});
const CompilationFlag = (0, chevrotain_1.createToken)({
    name: 'CompilationFlag',
    pattern: /\$\$plsql_unit|\$\$plsql_type/i,
    categories: ValueKeyword,
});
exports.default = [
    ValueKeyword,
    DateValue,
    TsValue,
    BoolValue,
    BoolTrue,
    BoolFalse,
    CompilationFlag,
];
//# sourceMappingURL=values.js.map