"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const recoveryParser_1 = require("../src/components/mainParser/recoveryParser");
describe('Cursors', () => {
    test('cursor declaration', () => {
        const code = `
      declare
        cursor l_cursor is
          select * from dual
        ;
      begin
        null;
      end;
    `;
        const result = (0, recoveryParser_1.default)(code, false);
        expect(result.errors).toStrictEqual([]);
    });
    test('cursor use', () => {
        const code = `
      declare
      begin
        for rec in l_cursor
        loop
          null;
        end loop;
      end;
    `;
        const result = (0, recoveryParser_1.default)(code, false);
        expect(result.errors).toStrictEqual([]);
    });
    test('cursor declaration and use', () => {
        const code = `
      declare
        cursor l_cursor is
          select * from dual
        ;
      begin
        for rec in l_cursor
        loop
          null;
        end loop;
      end;
    `;
        const result = (0, recoveryParser_1.default)(code, false);
        expect(result.errors).toStrictEqual([]);
    });
});
//# sourceMappingURL=cursors.test.js.map